Totals, the daily graph, breakdowns by type and repository, recent merged pull requests, streaks and the years available. Only Open Source Contributions count: public, OSI-licensed repositories you don't own.
Totals, the daily graph, breakdowns by type and repository, recent merged pull requests, streaks and the years available. Only Open Source Contributions count: public, OSI-licensed repositories you don't own.
apiKeyAuthorizationBearer <token>Personal API key (osg_…)
year?integerA calendar year; the last 12 months when omitted
2008 <= value <= 2100Default Response
application/jsonperiod*total*integer-9007199254740991 <= value <= 9007199254740991days*array<>byKind*byRepo*array<>mergedPullRequests*array<>streaks*years*array<>Newest first
lastSyncedAt*|date-timecurl -X GET 'https://example.com/api/v1/me/stats'{ "period": { "from": "string", "to": "string", "year": -9007199254740991 }, "total": -9007199254740991, "days": [ { "date": "string", "count": -9007199254740991 } ], "byKind": { "property1": -9007199254740991, "property2": -9007199254740991 }, "byRepo": [ { "fullName": "string", "url": "string", "license": "string", "count": -9007199254740991 } ], "mergedPullRequests": [ { "title": "string", "url": "string", "repo": { "fullName": "string", "url": "string", "license": "string" }, "mergedAt": "2019-08-24T14:15:22Z" } ], "streaks": { "period": "week", "week": { "current": -9007199254740991, "longest": -9007199254740991, "currentStart": "string", "lastCountedPeriod": "string" }, "day": { "current": -9007199254740991, "longest": -9007199254740991, "currentStart": "string", "lastCountedPeriod": "string" } }, "years": [ -9007199254740991 ], "lastSyncedAt": "2019-08-24T14:15:22Z"}